Check out the latest version of Apidog Desktop Client. Click Here to download the desktop version or Here to use the web app.
write:pets scope or Bearer tokencurl --location --request PUT 'https://mock.apidog.com/m1/1209642-0-default/pets/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": "PENDING"
}'{
"id": "019b4132-70aa-764f-b315-e2803d882a24",
"species": "DOG",
"name": "Whiskers",
"breed": "Domestic Shorthair",
"ageMonths": 18,
"size": "SMALL",
"color": "Orange Tabby",
"gender": "MALE",
"goodWithKids": true,
"price": "75.00",
"currency": "USD",
"description": "string",
"status": "AVAILABLE",
"createdAt": "2025-12-21T13:56:23Z",
"updatedAt": "2025-12-21T13:56:23Z",
"tenantId": "550e8400-e29b-41d4-a716-446655440000",
"photos": [
"http://example.com"
],
"medicalInfo": {
"spayedNeutered": true,
"vaccinated": true,
"microchipped": true,
"specialNeeds": true,
"healthNotes": "string"
}
}